\name{caseDat}
\alias{caseDat}
\docType{data}
\title{Case study copy number variation data}
\description{This is a data set of copy number variation data with \eqn{n=500} observations and \eqn{p=1000} features. The length \eqn{n} \code{batch} vector (first column of \code{caseDat}) indicates the batch for each sample.}
\usage{data(caseDat)}
\format{A data frame with 500 observations.
  \describe{
    \item{\code{batch}}{A numeric vector indicating batch for the \eqn{n=500} samples.}
    \item{\code{X1} to \code{X1000}}{A matrix of \eqn{p=1000} features.}
}}
\references{Reese, S. E., Archer, K. J., Therneau, T. M., Atkinson, E. J., Vachon, C. M., de Andrade, M., Kocher, J. A., and Eckel-Passow, J. E. A new statistic for identifying batch effects in high-throughput genomic data that uses guided principal components analysis. Bioinformatics, (in review).}
\examples{
data(caseDat)
batch<-caseDat$batch
x<-caseDat[,-1]
out<-gPCA.batchdetect(x=x,batch=batch,center=FALSE)
out$delta ; out$p.val

gDist(out)
PCplot(out,ug="guided",type="1v2")
CumulativeVarPlot(out,ug="unguided",col="red")
}
\keyword{datasets}